## ironic-inspector 10.4.0

=== debian/changelog ===
ironic-inspector (1:10.4.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Oct 2020 20:41:33 +0000

ironic-inspector (1:10.4.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 15:54:41 -0400

ironic-inspector (1:10.3.1~git2020091516.9a89c30-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 16:42:53 -0400

ironic-inspector (1:10.2.1~git2020073017.7ff52c7-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright: Update upstream URL.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 17:06:26 -0400

ironic-inspector (1:10.2.0~git2020070216.c1fa28a-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/p/use-latest-version-of-python-construct.patch: Dropped. Fixed upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 16:02:44 -0400

ironic-inspector (1:10.1.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/727184. This fixes service failures
    with Python 3.8 (LP: #1863021).

  [ Corey Bryant ]
  * d/p/use-latest-version-of-python-construct.patch: Cherry-picked from
    upstream master. This fixes AttributeErrors detect when running unit
    tests on groovy.
  * d/control: Bump min version of python3-construct (Build-)Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 10:19:06 -0400

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-construct (>= 2.9.39),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-hacking,
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.40.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
 python3-tooz (>= 2.5.1),
 python3-yaml (>= 5.3.1),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Homepage: https://opendev.org/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.18.2),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-openstacksdk (>= 0.40.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.5.1),
 python3-tz (>= 2013.6),
 python3-yaml (>= 5.3.1),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3 files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ironic_inspector

UPSTREAM_GIT = https://github.com/openstack/ironic-inspector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	rm -rf build debian/ironic-inspector.postinst debian/ironic-inspector.config debian/ironic-inspector.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm ironic-inspector.postrm
	pkgos-merge-templates ironic-inspector ironic-inspector db ksat endpoint

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
	done
endif

	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
		--namespace ironic_inspector \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.middleware.cors
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector

	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
		--format json \
		--namespace ironic_inspector.api

	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf
	install -D -m 0644 rootwrap.d/ironic-inspector.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector.filters
	install -D -m 0644 $(CURDIR)/debian/ironic-inspector.sudoers $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector
	sed -i 's|stack|ironic-inspector|' $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installlogrotate override_dh_installgsettings:

## ironic-inspector 10.4.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
automaton>=1.9.0 # Apache-2.0
alembic>=1.4.2 # MIT
construct>=2.9.39 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
Flask>=1.1.0 # BSD
futurist>=1.2.0 # Apache-2.0
ironic-lib>=4.3.0 # Apache-2.0
jsonpath-rw>=1.2.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.0 # Apache-2.0
keystonemiddleware>=4.18.0 # Apache-2.0
netaddr>=0.7.18 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=5.3.1
openstacksdk>=0.40.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.32.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
tenacity>=6.2.0  # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
tooz>=2.5.1 # Apache-2.0

=== debian/changelog ===
ironic-inspector (10.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:56:09 +0100

ironic-inspector (10.4.0-3) unstable; urgency=medium

  * Blacklist failing unit tests with sqlite (Closes: #975790):
    - TestMigrationSqlite.test_upgrade_and_version
    - TestMigrationSqlite.test_walk_versions

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 14:12:03 +0100

ironic-inspector (10.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Removed --with systemd from debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:29:18 +0200

ironic-inspector (10.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 10:56:12 +0200

ironic-inspector (10.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * removed Use_latest_version_of_python_construct.patch applied upstream.
  * Rebased fix-path-to-rootwrap.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:54:23 +0200

ironic-inspector (10.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Uploading to unstable.
  * Add Use_latest_version_of_python_construct.patch (Closes: #959632),
    fixing FTBFS with latest construct.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:57:08 +0200

ironic-inspector (10.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 00:53:06 +0200

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.4.2),
 python3-automaton,
 python3-construct (>= 2.9.39),
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-flask (>= 1.1.0),
 python3-futurist,
 python3-hacking,
 python3-ironic-lib (>= 4.3.0),
 python3-jsonpath-rw,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware,
 python3-memcache,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.40.0),
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr,
 python3-stevedore,
 python3-tenacity (>= 6.2.0),
 python3-testresources,
 python3-tooz (>= 2.5.1),
 python3-tz,
 python3-yaml (>= 5.3.1),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-inspector
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-inspector.git
Homepage: https://github.com/openstack/ironic-inspector

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 1.4.2),
 python3-automaton,
 python3-construct (>= 2.9.39),
 python3-eventlet,
 python3-flask (>= 1.1.0),
 python3-futurist,
 python3-ironic-lib (>= 4.3.0),
 python3-jsonpath-rw,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware,
 python3-netaddr,
 python3-openstacksdk (>= 0.40.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-retrying,
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore,
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.5.1),
 python3-tz,
 python3-yaml (>= 5.3.1),
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python-ironic-inspector,
Conflicts:
 python-ironic-inspector,
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=ironic_inspector
 
 UPSTREAM_GIT = https://github.com/openstack/ironic-inspector.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -29,25 +27,26 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	for i in $(PYTHON3S) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
-	done
+	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit\.(?!(test_migrations\.TestMigrationSqlite\.test_upgrade_and_version|test_migrations\.TestMigrationSqlite\.test_walk_versions))'
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
-	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
 		--namespace ironic_inspector \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.db \
 		--namespace oslo.log \
-		--namespace oslo.middleware.cors
+		--namespace oslo.middleware.cors \
+		--namespace oslo.policy
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector
 
-	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
 		--format json \
 		--namespace ironic_inspector.api
@@ -63,12 +62,3 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules:
-override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
-override_dh_installlogrotate override_dh_installgsettings:

## ironic-inspector 10.6.0

=== debian/changelog ===
ironic-inspector (1:10.6.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 12 Apr 2021 13:21:42 +0000

ironic-inspector (1:10.6.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:01:16 -0400

ironic-inspector (1:10.5.0+git2021012911.e670c24-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 11:55:22 -0500

ironic-inspector (1:10.4.1+git2020121114.caf9256-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Explicitly set PBR version.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Dec 2020 14:50:14 +0000

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-construct (>= 2.9.39),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.40.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
 python3-tooz (>= 2.5.1),
 python3-yaml (>= 5.3.1),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Homepage: https://opendev.org/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.26.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-openstacksdk (>= 0.40.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 2.0.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.5.1),
 python3-tz (>= 2013.6),
 python3-yaml (>= 5.3.1),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3 files.

## ironic-inspector 10.6.2

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 automaton>=1.9.0 # Apache-2.0
 alembic>=1.4.2 # MIT
 construct>=2.9.39 # MIT
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet>=0.26.0 # MIT
 Flask>=1.1.0 # BSD
 futurist>=1.2.0 # Apache-2.0
 ironic-lib>=4.3.0 # Apache-2.0
@@ -18,18 +18,19 @@
 PyYAML>=5.3.1
 openstacksdk>=0.40.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=6.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.32.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.upgradecheck>=1.2.0 # Apache-2.0
+oslo.utils>=4.5.0 # Apache-2.0
 tenacity>=6.2.0  # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 SQLAlchemy>=1.2.19 # MIT

=== debian/changelog ===
ironic-inspector (10.6.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:30:58 +0000

ironic-inspector (10.6.1-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: Add me to copyright file
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 29 Aug 2021 14:45:21 +0200

ironic-inspector (10.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:55:53 +0200

ironic-inspector (10.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Mar 2021 09:37:41 +0200

ironic-inspector (10.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 12:45:19 +0200

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-construct,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-hacking,
 python3-ironic-lib,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testresources,
 python3-tooz,
 python3-tz,
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-inspector
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-inspector.git
Homepage: https://github.com/openstack/ironic-inspector

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic,
 python3-automaton,
 python3-construct,
 python3-eventlet,
 python3-flask,
 python3-futurist,
 python3-ironic-lib,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-openstacksdk,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils,
 python3-pbr,
 python3-retrying,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python-ironic-inspector,
Conflicts:
 python-ironic-inspector,
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

## ironic-inspector 10.8.0

=== debian/changelog ===
ironic-inspector (1:10.8.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 14:06:39 +0000

ironic-inspector (1:10.8.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:22 +0000

ironic-inspector (1:10.7.0+git2021090814.62f79a1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:56 +0000

ironic-inspector (1:10.7.0+git2021072212.611a543-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 12:23:29 -0400

ironic-inspector (1:10.6.0+git2021062816.948325c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:18:44 -0400

## ironic-inspector 10.8.1

=== debian/changelog ===
ironic-inspector (10.8.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:06:18 +0000

ironic-inspector (10.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix oslo-config-generator namespace list for this release.
  * Switch to yaml policy file in /etc/ironic-inspector/policy.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:30:11 +0200

ironic-inspector (10.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:03:10 +0200

ironic-inspector (10.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 09:23:05 +0200

## ironic-inspector 10.11.0

=== requirements.txt ===
--- 
+++ 
@@ -13,22 +13,22 @@
 keystoneauth1>=4.2.0 # Apache-2.0
 keystonemiddleware>=4.18.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=3.1.1 # Apache-2.0
 pytz>=2013.6 # MIT
 PyYAML>=5.3.1
 openstacksdk>=0.40.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=6.0.0 # Apache-2.0
-oslo.i18n>=3.15.3 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
+oslo.i18n>=3.20.0 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=5.32.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.policy>=3.7.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.serialization>=2.25.0 # Apache-2.0
+oslo.service>=1.31.0 # Apache-2.0
 oslo.upgradecheck>=1.2.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 tenacity>=6.2.0  # Apache-2.0

=== debian/changelog ===
ironic-inspector (1:10.11.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 20:45:37 -0400

ironic-inspector (1:10.10.0+git2022030313.3ebfdf0-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:07:23 -0500

ironic-inspector (1:10.9.0+git2021120910.e3f58e4-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:59:06 -0500

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-construct (>= 2.9.39),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.40.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
 python3-tooz (>= 2.5.1),
 python3-yaml (>= 5.3.1),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Homepage: https://opendev.org/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.26.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-openstacksdk (>= 0.40.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 3.1.1),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.5.1),
 python3-tz (>= 2013.6),
 python3-yaml (>= 5.3.1),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3 files.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,17 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=ironic_inspector
+
 UPSTREAM_GIT = https://github.com/openstack/ironic-inspector.git
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -27,26 +34,25 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit\.(?!(test_migrations\.TestMigrationSqlite\.test_upgrade_and_version|test_migrations\.TestMigrationSqlite\.test_walk_versions))'
+	for i in $(PYTHON3S) ; do \
+		PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
+	done
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
 		--namespace ironic_inspector \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.db \
 		--namespace oslo.log \
-		--namespace oslo.middleware.cors \
-		--namespace oslo.policy
+		--namespace oslo.middleware.cors
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
 		--format json \
 		--namespace ironic_inspector.api
@@ -62,3 +68,12 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+
+# Commands not to run
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules:
+override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
+override_dh_installlogrotate override_dh_installgsettings:
